#include "UtilTool.h"
#include <filesystem>


bool UtilTool::CheckFileIsImage(const std::string& filepath){
    //简单实现， 通过后缀判断
    auto path = std::filesystem::path(filepath);
    auto su = path.extension().string();
    for(const auto& type : ImageType){
        if (su.find(type) != std::string::npos){
            return true;
        }
    }
    return false;
}
